{
  config,
  pkgs,
  ...
}: {
  imports = [
    ../../modules/home-manager/git.nix
    ../../modules/home-manager/nixvim.nix
    ../../modules/home-manager/emacs
    ../../modules/home-manager/kitty.nix
    ../../modules/home-manager/zsh.nix
    ../../modules/home-manager/tmux.nix
    ../../modules/home-manager/email.nix
    ../../modules/home-manager/password-store
    ../../modules/home-manager/taskwarrior.nix
    ../../modules/home-manager/kubernetes.nix
    ../../modules/home-manager/nix-index.nix
    ../../modules/home-manager/bitwarden.nix
    ../../modules/home-manager/latex.nix
    ../../modules/home-manager/ghostty.nix
    ../../modules/home-manager/jq.nix
    ../../modules/home-manager/lazygit.nix
    ../../modules/home-manager/man.nix
    ../../modules/home-manager/direnv.nix
    ../../modules/home-manager/spotify-player.nix
  ];
  home.username = "mthomson";
  home.homeDirectory = "/Users/mthomson";
  home.stateVersion = "23.11";

  home.sessionVariables = {
    ZK_NOTEBOOK_DIR = "\${HOME}/zk";
  };

  programs = {
    zk = {
      enable = true;
      settings = {
        notebook = {
          dir = "~/zk";
        };
      };
    };
  };

  home.packages = with pkgs; [
    taskwarrior-tui
    sbcl
    hidden-bar
    weechat
    android-tools
    nchat
    nethack
    (pkgs.python3.withPackages (python-pkgs: with python-pkgs; [
      keyring
      click
      tldextract
    ]))
    bitwarden-cli
    nodejs
  ];

  programs.home-manager.enable = true;
  programs.git.enable = true;
}
